Bug 130029 - kudzu 1.1.79 requires X to be installed
Summary: kudzu 1.1.79 requires X to be installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-08-16 17:27 UTC by Steve Grubb
Modified: 2013-03-13 04:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-17 01:07:20 UTC


Attachments (Terms of Use)

Description Steve Grubb 2004-08-16 17:27:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The latest version of Kudzu requires X to be installed. Here's the
chain of offending dependencies:

kudzu -> hal -> libdbus-glib-1.so.0

dbus-glib -> libgdk-x11-2.0.so.0, libgdk_pixbuf-2.0.so.0,
libgtk-x11-2.0.so.0, libpangox-1.0.so.0

Version-Release number of selected component (if applicable):
kudzu-1.1.79-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh kudzu-1.1.79-1.i386.rpm

Additional info:

This was discussed on the fedora mail list.

Comment 1 John (J5) Palmieri 2004-08-16 19:29:08 UTC
Relates to dbus-glib including dbus-view which requires gtk.  Solution
is to create a new dbus-gtk package and place dbus-view in there.

Comment 2 John (J5) Palmieri 2004-08-17 01:07:20 UTC
Havoc says dbus-viewer doesn't do anything useful right now so I added
--disable-gtk to the configure stage and commented out the dbus-gtk
package lines.  Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.